# GimpUi.query_boolean_box

    @accepts(unicode, Gtk.Widget, GimpUi.HelpFunc, unicode, unicode, unicode, unicode, unicode, GObject.Object, unicode, GimpUi.QueryBooleanCallback, gpointer, GLib.DestroyNotify)
    @returns(Gtk.Widget)
    def query_boolean_box(title, parent, help_func, help_id, icon_name, message, true_button, false_button, object, signal, callback, data, data_destroy):
        # Python wrapper for gimp_query_boolean_box()

Creates a new Gtk.Dialog that asks the user to do a boolean decision.

title

  The query box dialog's title.

parent

  The dialog's parent widget.

help_func

  The help function to show this dialog's help page.

help_id

  A string identifying this dialog's help page.

icon_name

  An icon name to specify an icon to appear on the left on the dialog's message.

message

  A string which will be shown in the query box.

true_button

  The string to be shown in the dialog's left button.

false_button

  The string to be shown in the dialog's right button.

object

  The object this query box is associated with.

signal

  The object's signal which will cause the query box to be closed.

callback

  The function which will be called when the user clicks one of the buttons.

data

  The callback's user data.

data_destroy

  Destroy function for data.

Returns